## org.eclipse.emf.common
Class CommonPlugin

    java.lang.Object
      org.eclipse.emf.common.EMFPlugin
          org.eclipse.emf.common.CommonPlugin

All Implemented Interfaces:
  Logger, ResourceLocator

    public final class CommonPlugin

extends EMFPlugin

The Plugin for the model EMF.Common library. EMF must run within an Eclipse workbench, within a headless Eclipse workspace, or just stand-alone as part of some other application. To support this, all resource access should be directed to the resource locator, which can redirect the service as appropriate to the runtime. During stand-alone invocation no plugin initialization takes place. In this case, common.resources.jar must be on the CLASSPATH.

See Also:
  `INSTANCE`

Nested Class Summary
`static class` `CommonPlugin.Implementation` The actual implementation of the Eclipse Plugin.

Nested classes/interfaces inherited from class org.eclipse.emf.common.EMFPlugin
`EMFPlugin.EclipsePlugin, EMFPlugin.InternalEclipsePlugin, EMFPlugin.InternalHelper`

Field Summary
`static CommonPlugin` `INSTANCE` The singleton instance of the plugin.

Fields inherited from class org.eclipse.emf.common.EMFPlugin
`baseURL, delegateResourceLocators, images, IS_ECLIPSE_RUNNING, IS_RESOURCES_BUNDLE_AVAILABLE, resourceBundle, shouldTranslate, strings, untranslatedResourceBundle, untranslatedStrings`

Method Summary
`static URI` `asLocalURI(URI uri)` Use the platform, if available, to convert to a local URI.
`java.util.Comparator<java.lang.String>` `getComparator()` Returns a string comparator appropriate for collating strings for the `current locale`.
`java.util.Comparator<java.lang.String>` `getComparator(java.util.Locale locale)` Returns a string comparator appropriate for collating strings for the give locale.
`static CommonPlugin.Implementation` `getPlugin()` Returns the singleton instance of the Eclipse plugin.
`ResourceLocator` `getPluginResourceLocator()` Returns an Eclipse plugin implementation of a resource locator.
`static java.lang.Class<?>` `loadClass(java.lang.String pluginID, java.lang.String className)` Use the platform, if available, to load the named class using the right class loader.
`static URI` `resolve(URI uri)` Use the platform, if available, to resolve the URI.

Methods inherited from class org.eclipse.emf.common.EMFPlugin
`delegatedGetImage, delegatedGetString, doGetImage, getBaseURL, getImage, getPluginLogger, getString, getString, getString, getString, getSymbolicName, log, main, setShouldTranslate, shouldTranslate`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### INSTANCE

    public static final CommonPlugin INSTANCE

  The singleton instance of the plugin.

Method Detail

### getPluginResourceLocator

    public ResourceLocator getPluginResourceLocator()

  Description copied from class: `EMFPlugin`
  Returns an Eclipse plugin implementation of a resource locator.

  Specified by:
    `getPluginResourceLocator` in class `EMFPlugin`
  Returns:
    an Eclipse plugin implementation of a resource locator.

### getPlugin

    public static CommonPlugin.Implementation getPlugin()

  Returns the singleton instance of the Eclipse plugin.

  Returns:
    the singleton instance.

### asLocalURI

    public static URI asLocalURI(URI uri)

  Use the platform, if available, to convert to a local URI.

### resolve

    public static URI resolve(URI uri)

  Use the platform, if available, to resolve the URI.

### loadClass

    public static java.lang.Class<?> loadClass(java.lang.String pluginID,
                                               java.lang.String className)
                                        throws java.lang.ClassNotFoundException

  Use the platform, if available, to load the named class using the right class loader.

  Throws:
    `java.lang.ClassNotFoundException`

### getComparator

    public java.util.Comparator<java.lang.String> getComparator()

  Returns a string comparator appropriate for collating strings for the `current locale`.

  Returns:
    a string comparator appropriate for collating strings for the `current locale`.

### getComparator

    public java.util.Comparator<java.lang.String> getComparator(java.util.Locale locale)

  Returns a string comparator appropriate for collating strings for the give locale. This will use ICU, when available that plugins is available, or `Collator` otherwise.

  Parameters:
    `locale` - the locale for which a comparator is needed.
  Returns:
    a string comparator appropriate for collating strings for the give locale.

Copyright 2001-2006 IBM Corporation and others. All Rights Reserved.